
@wait time=1000

[title name="MIKU☆POD"]

;メッセージウィンドウのサイズ調整

;ノベルゲームで便利なプラグインの読み込み
[call target=*start storage="tyrano.ks"]

;文字スピード調整
[delay speed=30]

;一旦メッセージウィンドウを非表示にする
@layopt layer=message0 page=fore visible=false
@layopt layer=message0 page=back visible=false

;背景の表示
[back storage="stage.jpg" ]

;メッセージエリアを下部に持ってきて、フレーム画像の設定
[position  height=200 top=280 ]
[position layer=message0 page=fore frame="frame.png" margint="50" marginl="30" marginr="40" marginb="30"]
[cm]

;名前表示用のマクロ
[macro name="whosay"]

;入力された名前によって色を変更
[iscript]

if(mp.name=="ミク"){
    mp.color = "skyblue";
}else if(mp.name=="レン"){
    mp.color = "yellow";
}else{
    mp.color = "black";
}

//名前領域の一旦削除
$(".chara_name_area").remove();

[endscript]

[ptext name="chara_name_area" layer=message0 text=&mp.name x=40 y=300 color=%color size=26]

[endmacro]

;ボタンのアニメーションmethod属性を受け取る。"show"なら表示、"hide"で非表示の動作
[macro name="animbutton"]

[if exp="mp.method=='show'"]

;ボタン定義
[locate x=-320 y=100]
[button name="button1" target=*button1 graphic=button1.gif ]
[locate x=-320 y=150]
[button name="button2" target=*button2 graphic=button2.gif ]
[locate x=-320 y=200]
[button name="button3" target=*button3 graphic=button3.gif ]
[locate x=-320 y=250]
[button name="button4" target=*button4 graphic=button4.gif ]
[locate x=-320 y=300]
[button name="button5" target=*button5 graphic=button5.gif ]

[locate x=20 y=700]
[button name="button_exit" target=*button_exit graphic=button_exit.gif ]


;ミクさん移動
[anim name="miku" left=330 ]

    
    ;ボタンのアニメ
    
    [anim name=button1 left=20 effect=easeOutBounce time=2000]
    [wait time= 300]
    [anim name=button2 left=20 effect=easeOutBounce time=2000]
    [wait time= 300]
    [anim name=button3 left=20 effect=easeOutBounce time=2000]
    [wait time= 300]
    [anim name=button4 left=20 effect=easeOutBounce time=2000]
    [wait time= 300]
    [anim name=button5 left=20 effect=easeOutBounce time=2000]
    
    [wait time= 500]
    [anim name=button_exit top=420  time=2000]

[else]
    
    
    ;ボタンの非表示
    [anim name=button1 left=-320 effect=easeInOutElastic time=2000]
    [wait time= 300]
    [anim name=button2 left=-320 effect=easeInOutElastic time=2000]
    [wait time= 300]
    [anim name=button3 left=-320 effect=easeInOutElastic time=2000]
    [wait time= 300]
    [anim name=button4 left=-320 effect=easeInOutElastic time=2000]
    [wait time= 300]
    [anim name=button5 left=-320 effect=easeInOutElastic time=2000]
    
    [wait time= 500]
    [anim name=button_exit top=720  time=2000]
    
    
    ;ミクさん移動
    [anim name="miku" left=0 ]


[endif]

[endmacro]


*title

;タイトル画面作成
;はじめての場合は、タイトル画面の前にミクが名前を聞いてくる

@layopt layer=1 visible=true
@image name=miku layer=1 storage=miku1.png  top=90 left=640
[wait time=1000]
@anim name=miku left=170 effect=easeOutBounce
[wa]

@layopt layer=message0 page=fore visible=true

;[deffont face="webfont"]
;[resetfont]

[whosay name=ミク]

[cm]
[whosay name=ミク color="blue"] 
[wait time=300]

;自分の名前を登録済みの場合、メインメニューへジャンプ
[if exp="sf.yourname !=null "]
@jump target=*mainmenu
[endif]

はじめまして[r][l][cm]
MIKU☆POD　へようこそ[r][l][cm]
このアプリは初音ミクに関する最新情報を手軽にチェックすることができるよ。[r][l]
[cm]
じゃあ、最初にあなたのニックネームを教えてくれるかな？[l][r]

;テキストボックスの表示

*show_input_yourname

[edit left=200 top=100 name="sf.yourname"]

[locate x=200 y=200]
[button target="*sbm_name" name=button_name_kettei graphic="kettei.gif" ]

;[anim name=button_name_kettei left=200 time=3000]
;[wa]

[s]

*sbm_name

[commit]
[cm]

;名前が未入力の場合
[if exp="sf.yourname==''"]
    ちゃんと名前おしえてよ?。[l]
    @jump target=*show_input_yourname
[endif]

[emb exp=sf.yourname]さん。これからよろしくね。
[l][cm]

;=================タイトル====================

*mainmenu

[emb exp="sf.yourname"]さん、こんにちは。
[l][cm]
MIKU☆PODへようこそ！
[l][cm]
それじゃー今日のおすすめミュージック かもーん☆
[l][cm]

*mainmenu2

;ミクさん移動 ボタン表示
[anim name="miku" left=330 ]

;メッセージボックスを非表示にする
@layopt layer=message0 page=fore visible=false



;アニメボタンアニメーション表示
[animbutton method=show]
[wa]
[s]


[wa]
[s]

;=======動画再生=============

*button1

[animbutton method=hide]
[wa]

[html left=200 top=100]
<object width="400" height="225"><param name="movie" value="http://www.youtube.com/v/exAmqVtYbis?version=3&amp;hl=ja_JP&autoplay=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/exAmqVtYbis?&hl=ja_JP&amp;hd=1&autoplay=1" type="application/x-shockwave-flash" width="400" height="225" allowscriptaccess="always" allowfullscreen="false"></embed></object>
[endhtml]

[locate x=400 y=50]
[button target=*playend graphic=button_end.gif ]

[s]

*button2 
[animbutton method=hide]
[wa]

[html left=200 top=100]
<object width="400" height="225"><param name="movie" value="http://www.youtube.com/v/PqJNc9KVIZE?version=3&amp;hl=ja_JP&autoplay=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/PqJNc9KVIZE?&hl=ja_JP&amp;hd=1&autoplay=1" type="application/x-shockwave-flash" width="400" height="225" allowscriptaccess="always" allowfullscreen="false"></embed></object>
[endhtml]

[locate x=400 y=50]
[button target=*playend graphic=button_end.gif ]

[s]

*button3
[animbutton method=hide]
[wa]

[html left=200 top=100]
<object width="400" height="225"><param name="movie" value="http://www.youtube.com/v/oNztYXeVc0Y?version=3&amp;hl=ja_JP&autoplay=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/oNztYXeVc0Y?&hl=ja_JP&amp;hd=1&autoplay=1" type="application/x-shockwave-flash" width="400" height="225" allowscriptaccess="always" allowfullscreen="false"></embed></object>
[endhtml]

[locate x=400 y=50]
[button target=*playend graphic=button_end.gif ]

[s]

*button4
[animbutton method=hide]
[wa]

[html left=200 top=100]
<object width="400" height="225"><param name="movie" value="http://www.youtube.com/v/BljBGlt1Q18?version=3&amp;hl=ja_JP&autoplay=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/BljBGlt1Q18?&hl=ja_JP&amp;hd=1&autoplay=1" type="application/x-shockwave-flash" width="400" height="225" allowscriptaccess="always" allowfullscreen="false"></embed></object>
[endhtml]

[locate x=400 y=50]
[button target=*playend graphic=button_end.gif ]

[s]


*button5
[animbutton method=hide]
[wa]

[html left=200 top=100]
<object width="400" height="225"><param name="movie" value="http://www.youtube.com/v/C1Yx8Q60cEc?version=3&amp;hl=ja_JP&autoplay=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/C1Yx8Q60cEc?&hl=ja_JP&amp;hd=1&autoplay=1" type="application/x-shockwave-flash" width="400" height="225" allowscriptaccess="always" allowfullscreen="false"></embed></object>
[endhtml]

[locate x=400 y=50]
[button target=*playend graphic=button_end.gif ]

[s]



;動作再生終了-------------------------
*playend

;動画などのHTML削除
[cm]

;アニメボタンアニメーション表示
[animbutton method=show]

[wa]
[s]



@jump target=*mainmenu2


;----------------アプリ終了

*button_exit

;ボタンを隠す
[animbutton method=hide]

;ミクさんを中央に移動
[anim name=miku left=170]
[wa]
[cm]

@layopt layer=message0 page=fore visible=true

[emb exp="sf.yourname"]さん、おつかれさまでした。[l][cm]
また来てねー。[l]
[close]

[s]

@jump target="*title"


